changeset 26:a9a9f6f1832e

finally hacked something that works
author Henry S. Thompson <ht@inf.ed.ac.uk>
date Wed, 18 Mar 2020 13:42:47 +0000
parents a82c325e8b32
children 7a2bc060230d
files bin/masterMaster.sh bin/test.sh
diffstat 2 files changed, 5 insertions(+), 5 deletions(-) [+]
line wrap: on
line diff
--- a/bin/masterMaster.sh	Wed Mar 18 11:08:47 2020 +0000
+++ b/bin/masterMaster.sh	Wed Mar 18 13:42:47 2020 +0000
@@ -1,5 +1,5 @@
 #!/bin/bash
-# This runs on 1 machine to launch the real job (named by $1) on two machines
+# This runs on login machine to launch the real job (named by $1) on two machines
 echo $(date) Launching master workers for "$@"
-parallel --will-cite --nonall -S r1i5n0 -S r1i5n1 --workdir /dev/shm/'{#}' --transferfile "${1}_"'{#}'.txt $HOME/bin/$1.sh '{#}'
+seq 1 -1 0 | parallel --will-cite --joblog master_$1.log -S r1i5n1 -S r1i5n0 -N 1 --workdir /dev/shm --transferfile test_'{}'.txt $HOME/bin/$1.sh '{}'
 echo $(date) "$@" workers done
--- a/bin/test.sh	Wed Mar 18 11:08:47 2020 +0000
+++ b/bin/test.sh	Wed Mar 18 13:42:47 2020 +0000
@@ -1,5 +1,5 @@
 #!/usr/bin/bash
 # test master
-echo $(date) $(hostname) "$1"
-echo testing... $(cat test_$1.txt)
-echo $(date) $(hostname) $?
+echo $(date) $(hostname) \< "$1"
+echo testing... $(pwd && ls && cat test_$1.txt)
+echo $(date) $(hostname) $? \>